Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Yeah, right. 64bits architectures produce a different output
[simgrid.git] / examples / amok / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 noinst_PROGRAMS = bandwidth/bandwidth_maestro$(EXEEXT) \
42         bandwidth/bandwidth_sensor$(EXEEXT) \
43         bandwidth/bandwidth_simulator$(EXEEXT) \
44         saturate/saturate_maestro$(EXEEXT) \
45         saturate/saturate_sensor$(EXEEXT) \
46         saturate/saturate_simulator$(EXEEXT)
47 @GRAS_ARCH_32_BITS_TRUE@am__append_1 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_32.tesh
48 @GRAS_ARCH_32_BITS_FALSE@am__append_2 = bandwidth/bandwidth_rl.tesh bandwidth/bandwidth_sg_64.tesh
49 @GRAS_ARCH_32_BITS_TRUE@am__append_3 = saturate/saturate_rl.tesh saturate/saturate_sg_32.tesh
50 @GRAS_ARCH_32_BITS_FALSE@am__append_4 = saturate/saturate_rl.tesh saturate/saturate_sg_64.tesh
51 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
52         $(top_srcdir)/acmacro/dist-files.mk
53 subdir = examples/amok
54 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
55 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
56         $(top_srcdir)/acmacro/compiler-flags.m4 \
57         $(top_srcdir)/acmacro/context.m4 \
58         $(top_srcdir)/acmacro/fancy_configury.m4 \
59         $(top_srcdir)/acmacro/flex.m4 \
60         $(top_srcdir)/acmacro/gras_arch.m4 \
61         $(top_srcdir)/acmacro/print_null.m4 \
62         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
63 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
64         $(ACLOCAL_M4)
65 mkinstalldirs = $(install_sh) -d
66 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
67 CONFIG_CLEAN_FILES =
68 PROGRAMS = $(noinst_PROGRAMS)
69 am_bandwidth_bandwidth_maestro_OBJECTS = bandwidth.$(OBJEXT) \
70         _bandwidth_maestro.$(OBJEXT)
71 bandwidth_bandwidth_maestro_OBJECTS =  \
72         $(am_bandwidth_bandwidth_maestro_OBJECTS)
73 bandwidth_bandwidth_maestro_DEPENDENCIES = $(LDADD_RL)
74 am__dirstamp = $(am__leading_dot)dirstamp
75 am_bandwidth_bandwidth_sensor_OBJECTS = bandwidth.$(OBJEXT) \
76         _bandwidth_sensor.$(OBJEXT)
77 bandwidth_bandwidth_sensor_OBJECTS =  \
78         $(am_bandwidth_bandwidth_sensor_OBJECTS)
79 bandwidth_bandwidth_sensor_DEPENDENCIES = $(LDADD_RL)
80 am_bandwidth_bandwidth_simulator_OBJECTS = bandwidth.$(OBJEXT) \
81         _bandwidth_simulator.$(OBJEXT)
82 bandwidth_bandwidth_simulator_OBJECTS =  \
83         $(am_bandwidth_bandwidth_simulator_OBJECTS)
84 bandwidth_bandwidth_simulator_DEPENDENCIES = $(LDADD_SG)
85 am_saturate_saturate_maestro_OBJECTS = saturate.$(OBJEXT) \
86         _saturate_maestro.$(OBJEXT)
87 saturate_saturate_maestro_OBJECTS =  \
88         $(am_saturate_saturate_maestro_OBJECTS)
89 saturate_saturate_maestro_DEPENDENCIES = $(LDADD_RL)
90 am_saturate_saturate_sensor_OBJECTS = saturate.$(OBJEXT) \
91         _saturate_sensor.$(OBJEXT)
92 saturate_saturate_sensor_OBJECTS =  \
93         $(am_saturate_saturate_sensor_OBJECTS)
94 saturate_saturate_sensor_DEPENDENCIES = $(LDADD_RL)
95 am_saturate_saturate_simulator_OBJECTS = saturate.$(OBJEXT) \
96         _saturate_simulator.$(OBJEXT)
97 saturate_saturate_simulator_OBJECTS =  \
98         $(am_saturate_saturate_simulator_OBJECTS)
99 saturate_saturate_simulator_DEPENDENCIES = $(LDADD_SG)
100 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
101 depcomp = $(SHELL) $(top_srcdir)/depcomp
102 am__depfiles_maybe = depfiles
103 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
104         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
105 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
106         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
107         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
108 CCLD = $(CC)
109 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
110         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
111         $(LDFLAGS) -o $@
112 SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
113         $(bandwidth_bandwidth_sensor_SOURCES) \
114         $(bandwidth_bandwidth_simulator_SOURCES) \
115         $(saturate_saturate_maestro_SOURCES) \
116         $(saturate_saturate_sensor_SOURCES) \
117         $(saturate_saturate_simulator_SOURCES)
118 DIST_SOURCES = $(bandwidth_bandwidth_maestro_SOURCES) \
119         $(bandwidth_bandwidth_sensor_SOURCES) \
120         $(bandwidth_bandwidth_simulator_SOURCES) \
121         $(saturate_saturate_maestro_SOURCES) \
122         $(saturate_saturate_sensor_SOURCES) \
123         $(saturate_saturate_simulator_SOURCES)
124 ETAGS = etags
125 CTAGS = ctags
126 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
127 ACLOCAL = @ACLOCAL@
128 ADDR2LINE = @ADDR2LINE@
129 AMTAR = @AMTAR@
130 AM_CPPFLAGS = @AM_CPPFLAGS@
131 AR = @AR@
132 AS = @AS@
133 AUTOCONF = @AUTOCONF@
134 AUTOHEADER = @AUTOHEADER@
135 AUTOMAKE = @AUTOMAKE@
136 AWK = @AWK@
137 BASH = @BASH@
138 CC = @CC@
139 CCDEPMODE = @CCDEPMODE@
140 CFLAGS = @CFLAGS@
141 CPP = @CPP@
142 CPPFLAGS = @CPPFLAGS@
143 CXX = @CXX@
144 CXXCPP = @CXXCPP@
145 CXXDEPMODE = @CXXDEPMODE@
146 CXXFLAGS = @CXXFLAGS@
147 CYGPATH_W = @CYGPATH_W@
148 DEFS = @DEFS@
149 DEPDIR = @DEPDIR@
150 DLLTOOL = @DLLTOOL@
151 DOXYGEN = @DOXYGEN@
152 ECHO = @ECHO@
153 ECHO_C = @ECHO_C@
154 ECHO_N = @ECHO_N@
155 ECHO_T = @ECHO_T@
156 EGREP = @EGREP@
157 EXEEXT = @EXEEXT@
158 FLEXML = @FLEXML@
159 GCJ = @GCJ@
160 GCJDEPMODE = @GCJDEPMODE@
161 GCJFLAGS = @GCJFLAGS@
162 GRAS_DEP = @GRAS_DEP@
163 GREP = @GREP@
164 INSTALL = @INSTALL@
165 INSTALL_DATA = @INSTALL_DATA@
166 INSTALL_PROGRAM = @INSTALL_PROGRAM@
167 INSTALL_SCRIPT = @INSTALL_SCRIPT@
168 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
169 JAR = @JAR@
170 JAVA = @JAVA@
171 JAVAC = @JAVAC@
172 LDFLAGS = @LDFLAGS@
173 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
174 LEX = @LEX@
175 LEXLIB = @LEXLIB@
176 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
177 LIBOBJS = @LIBOBJS@
178 LIBS = @LIBS@
179 LIBTOOL = @LIBTOOL@
180 LN_S = @LN_S@
181 LTLIBOBJS = @LTLIBOBJS@
182 MAINT = @MAINT@
183 MAKEINFO = @MAKEINFO@
184 MD5SUM = @MD5SUM@
185 MKDIR_P = @MKDIR_P@
186 OBJDUMP = @OBJDUMP@
187 OBJEXT = @OBJEXT@
188 PACKAGE = @PACKAGE@
189 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
190 PACKAGE_NAME = @PACKAGE_NAME@
191 PACKAGE_STRING = @PACKAGE_STRING@
192 PACKAGE_TARNAME = @PACKAGE_TARNAME@
193 PACKAGE_VERSION = @PACKAGE_VERSION@
194 PATH_SEPARATOR = @PATH_SEPARATOR@
195 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
196 RANLIB = @RANLIB@
197 SET_MAKE = @SET_MAKE@
198 SHELL = @SHELL@
199 SIMGRID_DEP = @SIMGRID_DEP@
200 SMPI_DEP = @SMPI_DEP@
201 STRIP = @STRIP@
202 VERSION = @VERSION@
203 WARNING = @WARNING@
204 abs_builddir = @abs_builddir@
205 abs_srcdir = @abs_srcdir@
206 abs_top_builddir = @abs_top_builddir@
207 abs_top_srcdir = @abs_top_srcdir@
208 ac_configure_args = @ac_configure_args@
209 ac_ct_CC = @ac_ct_CC@
210 ac_ct_CXX = @ac_ct_CXX@
211 am__include = @am__include@
212 am__leading_dot = @am__leading_dot@
213 am__quote = @am__quote@
214 am__tar = @am__tar@
215 am__untar = @am__untar@
216 bindir = @bindir@
217 build = @build@
218 build_alias = @build_alias@
219 build_cpu = @build_cpu@
220 build_id = @build_id@
221 build_os = @build_os@
222 build_vendor = @build_vendor@
223 builddir = @builddir@
224 datadir = @datadir@
225 datarootdir = @datarootdir@
226 docdir = @docdir@
227 dvidir = @dvidir@
228 exec_prefix = @exec_prefix@
229 host = @host@
230 host_alias = @host_alias@
231 host_cpu = @host_cpu@
232 host_os = @host_os@
233 host_vendor = @host_vendor@
234 htmldir = @htmldir@
235 includedir = @includedir@
236 infodir = @infodir@
237 install_sh = @install_sh@
238 libdir = @libdir@
239 libexecdir = @libexecdir@
240 localedir = @localedir@
241 localstatedir = @localstatedir@
242 mandir = @mandir@
243 mkdir_p = @mkdir_p@
244 oldincludedir = @oldincludedir@
245 pdfdir = @pdfdir@
246 prefix = @prefix@
247 program_transform_name = @program_transform_name@
248 psdir = @psdir@
249 pth_skaddr_makecontext = @pth_skaddr_makecontext@
250 pth_sksize_makecontext = @pth_sksize_makecontext@
251 sbindir = @sbindir@
252 sharedstatedir = @sharedstatedir@
253 srcdir = @srcdir@
254 sysconfdir = @sysconfdir@
255 target = @target@
256 target_alias = @target_alias@
257 target_cpu = @target_cpu@
258 target_os = @target_os@
259 target_vendor = @target_vendor@
260 top_builddir = @top_builddir@
261 top_srcdir = @top_srcdir@
262 INCLUDES = -I$(top_srcdir)/include
263 AM_CFLAGS = -g
264
265 ###################
266 # Bandwidth tests #
267 ###################
268
269 ###################
270 # saturate tests #
271 ###################
272 EXTRA_DIST = bandwidth/bandwidth.xml saturate/saturate.xml
273 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
274 TESTS = $(am__append_1) $(am__append_2) $(am__append_3) \
275         $(am__append_4)
276 XFAIL_TESTS = 
277 LDADD_SG = $(top_builddir)/src/libsimgrid.la
278 LDADD_RL = $(top_builddir)/src/libgras.la
279 bandwidth_bandwidth_simulator_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_simulator.c
280 bandwidth_bandwidth_maestro_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_maestro.c
281 bandwidth_bandwidth_sensor_SOURCES = bandwidth/bandwidth.c bandwidth/_bandwidth_sensor.c 
282 bandwidth_bandwidth_simulator_LDADD = $(LDADD_SG)
283 bandwidth_bandwidth_maestro_LDADD = $(LDADD_RL)
284 bandwidth_bandwidth_sensor_LDADD = $(LDADD_RL)
285 saturate_saturate_simulator_SOURCES = saturate/saturate.c saturate/_saturate_simulator.c
286 saturate_saturate_maestro_SOURCES = saturate/saturate.c saturate/_saturate_maestro.c
287 saturate_saturate_sensor_SOURCES = saturate/saturate.c saturate/_saturate_sensor.c 
288 saturate_saturate_simulator_LDADD = $(LDADD_SG)
289 saturate_saturate_maestro_LDADD = $(LDADD_RL)
290 saturate_saturate_sensor_LDADD = $(LDADD_RL)
291 all: all-am
292
293 .SUFFIXES:
294 .SUFFIXES: .c .lo .o .obj
295 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
296         @for dep in $?; do \
297           case '$(am__configure_deps)' in \
298             *$$dep*) \
299               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
300                 && exit 0; \
301               exit 1;; \
302           esac; \
303         done; \
304         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/amok/Makefile'; \
305         cd $(top_srcdir) && \
306           $(AUTOMAKE) --gnu  examples/amok/Makefile
307 .PRECIOUS: Makefile
308 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
309         @case '$?' in \
310           *config.status*) \
311             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
312           *) \
313             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
314             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
315         esac;
316
317 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
318         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
319
320 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
321         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
322 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
323         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
324
325 clean-noinstPROGRAMS:
326         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
327           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
328           echo " rm -f $$p $$f"; \
329           rm -f $$p $$f ; \
330         done
331 bandwidth/$(am__dirstamp):
332         @$(MKDIR_P) bandwidth
333         @: > bandwidth/$(am__dirstamp)
334 bandwidth/bandwidth_maestro$(EXEEXT): $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_DEPENDENCIES) bandwidth/$(am__dirstamp)
335         @rm -f bandwidth/bandwidth_maestro$(EXEEXT)
336         $(LINK) $(bandwidth_bandwidth_maestro_OBJECTS) $(bandwidth_bandwidth_maestro_LDADD) $(LIBS)
337 bandwidth/bandwidth_sensor$(EXEEXT): $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_DEPENDENCIES) bandwidth/$(am__dirstamp)
338         @rm -f bandwidth/bandwidth_sensor$(EXEEXT)
339         $(LINK) $(bandwidth_bandwidth_sensor_OBJECTS) $(bandwidth_bandwidth_sensor_LDADD) $(LIBS)
340 bandwidth/bandwidth_simulator$(EXEEXT): $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_DEPENDENCIES) bandwidth/$(am__dirstamp)
341         @rm -f bandwidth/bandwidth_simulator$(EXEEXT)
342         $(LINK) $(bandwidth_bandwidth_simulator_OBJECTS) $(bandwidth_bandwidth_simulator_LDADD) $(LIBS)
343 saturate/$(am__dirstamp):
344         @$(MKDIR_P) saturate
345         @: > saturate/$(am__dirstamp)
346 saturate/saturate_maestro$(EXEEXT): $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_DEPENDENCIES) saturate/$(am__dirstamp)
347         @rm -f saturate/saturate_maestro$(EXEEXT)
348         $(LINK) $(saturate_saturate_maestro_OBJECTS) $(saturate_saturate_maestro_LDADD) $(LIBS)
349 saturate/saturate_sensor$(EXEEXT): $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_DEPENDENCIES) saturate/$(am__dirstamp)
350         @rm -f saturate/saturate_sensor$(EXEEXT)
351         $(LINK) $(saturate_saturate_sensor_OBJECTS) $(saturate_saturate_sensor_LDADD) $(LIBS)
352 saturate/saturate_simulator$(EXEEXT): $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_DEPENDENCIES) saturate/$(am__dirstamp)
353         @rm -f saturate/saturate_simulator$(EXEEXT)
354         $(LINK) $(saturate_saturate_simulator_OBJECTS) $(saturate_saturate_simulator_LDADD) $(LIBS)
355
356 mostlyclean-compile:
357         -rm -f *.$(OBJEXT)
358
359 distclean-compile:
360         -rm -f *.tab.c
361
362 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_maestro.Po@am__quote@
363 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_sensor.Po@am__quote@
364 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_bandwidth_simulator.Po@am__quote@
365 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_maestro.Po@am__quote@
366 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_sensor.Po@am__quote@
367 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_saturate_simulator.Po@am__quote@
368 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bandwidth.Po@am__quote@
369 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/saturate.Po@am__quote@
370
371 .c.o:
372 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
373 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
374 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
375 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
376 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
377
378 .c.obj:
379 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
380 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
382 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
383 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
384
385 .c.lo:
386 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
387 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
388 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
389 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
390 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
391
392 bandwidth.o: bandwidth/bandwidth.c
393 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.o -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
394 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.o' libtool=no @AMDEPBACKSLASH@
396 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
397 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.o `test -f 'bandwidth/bandwidth.c' || echo '$(srcdir)/'`bandwidth/bandwidth.c
398
399 bandwidth.obj: bandwidth/bandwidth.c
400 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT bandwidth.obj -MD -MP -MF $(DEPDIR)/bandwidth.Tpo -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
401 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/bandwidth.Tpo $(DEPDIR)/bandwidth.Po
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/bandwidth.c' object='bandwidth.obj' libtool=no @AMDEPBACKSLASH@
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
404 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o bandwidth.obj `if test -f 'bandwidth/bandwidth.c'; then $(CYGPATH_W) 'bandwidth/bandwidth.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/bandwidth.c'; fi`
405
406 _bandwidth_maestro.o: bandwidth/_bandwidth_maestro.c
407 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.o -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
408 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.o' libtool=no @AMDEPBACKSLASH@
410 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
411 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.o `test -f 'bandwidth/_bandwidth_maestro.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_maestro.c
412
413 _bandwidth_maestro.obj: bandwidth/_bandwidth_maestro.c
414 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_maestro.obj -MD -MP -MF $(DEPDIR)/_bandwidth_maestro.Tpo -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
415 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_maestro.Tpo $(DEPDIR)/_bandwidth_maestro.Po
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_maestro.c' object='_bandwidth_maestro.obj' libtool=no @AMDEPBACKSLASH@
417 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
418 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_maestro.obj `if test -f 'bandwidth/_bandwidth_maestro.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_maestro.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_maestro.c'; fi`
419
420 _bandwidth_sensor.o: bandwidth/_bandwidth_sensor.c
421 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.o -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
422 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.o' libtool=no @AMDEPBACKSLASH@
424 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
425 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.o `test -f 'bandwidth/_bandwidth_sensor.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_sensor.c
426
427 _bandwidth_sensor.obj: bandwidth/_bandwidth_sensor.c
428 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_sensor.obj -MD -MP -MF $(DEPDIR)/_bandwidth_sensor.Tpo -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
429 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_sensor.Tpo $(DEPDIR)/_bandwidth_sensor.Po
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_sensor.c' object='_bandwidth_sensor.obj' libtool=no @AMDEPBACKSLASH@
431 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
432 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_sensor.obj `if test -f 'bandwidth/_bandwidth_sensor.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_sensor.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_sensor.c'; fi`
433
434 _bandwidth_simulator.o: bandwidth/_bandwidth_simulator.c
435 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.o -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
436 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.o' libtool=no @AMDEPBACKSLASH@
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
439 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.o `test -f 'bandwidth/_bandwidth_simulator.c' || echo '$(srcdir)/'`bandwidth/_bandwidth_simulator.c
440
441 _bandwidth_simulator.obj: bandwidth/_bandwidth_simulator.c
442 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _bandwidth_simulator.obj -MD -MP -MF $(DEPDIR)/_bandwidth_simulator.Tpo -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
443 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_bandwidth_simulator.Tpo $(DEPDIR)/_bandwidth_simulator.Po
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bandwidth/_bandwidth_simulator.c' object='_bandwidth_simulator.obj' libtool=no @AMDEPBACKSLASH@
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
446 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _bandwidth_simulator.obj `if test -f 'bandwidth/_bandwidth_simulator.c'; then $(CYGPATH_W) 'bandwidth/_bandwidth_simulator.c'; else $(CYGPATH_W) '$(srcdir)/bandwidth/_bandwidth_simulator.c'; fi`
447
448 saturate.o: saturate/saturate.c
449 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.o -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
450 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.o' libtool=no @AMDEPBACKSLASH@
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
453 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.o `test -f 'saturate/saturate.c' || echo '$(srcdir)/'`saturate/saturate.c
454
455 saturate.obj: saturate/saturate.c
456 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT saturate.obj -MD -MP -MF $(DEPDIR)/saturate.Tpo -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
457 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/saturate.Tpo $(DEPDIR)/saturate.Po
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/saturate.c' object='saturate.obj' libtool=no @AMDEPBACKSLASH@
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
460 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o saturate.obj `if test -f 'saturate/saturate.c'; then $(CYGPATH_W) 'saturate/saturate.c'; else $(CYGPATH_W) '$(srcdir)/saturate/saturate.c'; fi`
461
462 _saturate_maestro.o: saturate/_saturate_maestro.c
463 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.o -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
464 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.o' libtool=no @AMDEPBACKSLASH@
466 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
467 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.o `test -f 'saturate/_saturate_maestro.c' || echo '$(srcdir)/'`saturate/_saturate_maestro.c
468
469 _saturate_maestro.obj: saturate/_saturate_maestro.c
470 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_maestro.obj -MD -MP -MF $(DEPDIR)/_saturate_maestro.Tpo -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
471 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_maestro.Tpo $(DEPDIR)/_saturate_maestro.Po
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_maestro.c' object='_saturate_maestro.obj' libtool=no @AMDEPBACKSLASH@
473 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
474 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_maestro.obj `if test -f 'saturate/_saturate_maestro.c'; then $(CYGPATH_W) 'saturate/_saturate_maestro.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_maestro.c'; fi`
475
476 _saturate_sensor.o: saturate/_saturate_sensor.c
477 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.o -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
478 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.o' libtool=no @AMDEPBACKSLASH@
480 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
481 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.o `test -f 'saturate/_saturate_sensor.c' || echo '$(srcdir)/'`saturate/_saturate_sensor.c
482
483 _saturate_sensor.obj: saturate/_saturate_sensor.c
484 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_sensor.obj -MD -MP -MF $(DEPDIR)/_saturate_sensor.Tpo -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
485 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_sensor.Tpo $(DEPDIR)/_saturate_sensor.Po
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_sensor.c' object='_saturate_sensor.obj' libtool=no @AMDEPBACKSLASH@
487 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
488 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_sensor.obj `if test -f 'saturate/_saturate_sensor.c'; then $(CYGPATH_W) 'saturate/_saturate_sensor.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_sensor.c'; fi`
489
490 _saturate_simulator.o: saturate/_saturate_simulator.c
491 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.o -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
492 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.o' libtool=no @AMDEPBACKSLASH@
494 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
495 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.o `test -f 'saturate/_saturate_simulator.c' || echo '$(srcdir)/'`saturate/_saturate_simulator.c
496
497 _saturate_simulator.obj: saturate/_saturate_simulator.c
498 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT _saturate_simulator.obj -MD -MP -MF $(DEPDIR)/_saturate_simulator.Tpo -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
499 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/_saturate_simulator.Tpo $(DEPDIR)/_saturate_simulator.Po
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='saturate/_saturate_simulator.c' object='_saturate_simulator.obj' libtool=no @AMDEPBACKSLASH@
501 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
502 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o _saturate_simulator.obj `if test -f 'saturate/_saturate_simulator.c'; then $(CYGPATH_W) 'saturate/_saturate_simulator.c'; else $(CYGPATH_W) '$(srcdir)/saturate/_saturate_simulator.c'; fi`
503
504 mostlyclean-libtool:
505         -rm -f *.lo
506
507 clean-libtool:
508         -rm -rf .libs _libs
509
510 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
511         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
512         unique=`for i in $$list; do \
513             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
514           done | \
515           $(AWK) '    { files[$$0] = 1; } \
516                END { for (i in files) print i; }'`; \
517         mkid -fID $$unique
518 tags: TAGS
519
520 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
521                 $(TAGS_FILES) $(LISP)
522         tags=; \
523         here=`pwd`; \
524         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
525         unique=`for i in $$list; do \
526             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
527           done | \
528           $(AWK) '    { files[$$0] = 1; } \
529                END { for (i in files) print i; }'`; \
530         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
531           test -n "$$unique" || unique=$$empty_fix; \
532           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
533             $$tags $$unique; \
534         fi
535 ctags: CTAGS
536 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
537                 $(TAGS_FILES) $(LISP)
538         tags=; \
539         here=`pwd`; \
540         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
541         unique=`for i in $$list; do \
542             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
543           done | \
544           $(AWK) '    { files[$$0] = 1; } \
545                END { for (i in files) print i; }'`; \
546         test -z "$(CTAGS_ARGS)$$tags$$unique" \
547           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
548              $$tags $$unique
549
550 GTAGS:
551         here=`$(am__cd) $(top_builddir) && pwd` \
552           && cd $(top_srcdir) \
553           && gtags -i $(GTAGS_ARGS) $$here
554
555 distclean-tags:
556         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
557
558 check-TESTS: $(TESTS)
559         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
560         srcdir=$(srcdir); export srcdir; \
561         list=' $(TESTS) '; \
562         if test -n "$$list"; then \
563           for tst in $$list; do \
564             if test -f ./$$tst; then dir=./; \
565             elif test -f $$tst; then dir=; \
566             else dir="$(srcdir)/"; fi; \
567             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
568               all=`expr $$all + 1`; \
569               case " $(XFAIL_TESTS) " in \
570               *$$ws$$tst$$ws*) \
571                 xpass=`expr $$xpass + 1`; \
572                 failed=`expr $$failed + 1`; \
573                 echo "XPASS: $$tst"; \
574               ;; \
575               *) \
576                 echo "PASS: $$tst"; \
577               ;; \
578               esac; \
579             elif test $$? -ne 77; then \
580               all=`expr $$all + 1`; \
581               case " $(XFAIL_TESTS) " in \
582               *$$ws$$tst$$ws*) \
583                 xfail=`expr $$xfail + 1`; \
584                 echo "XFAIL: $$tst"; \
585               ;; \
586               *) \
587                 failed=`expr $$failed + 1`; \
588                 echo "FAIL: $$tst"; \
589               ;; \
590               esac; \
591             else \
592               skip=`expr $$skip + 1`; \
593               echo "SKIP: $$tst"; \
594             fi; \
595           done; \
596           if test "$$failed" -eq 0; then \
597             if test "$$xfail" -eq 0; then \
598               banner="All $$all tests passed"; \
599             else \
600               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
601             fi; \
602           else \
603             if test "$$xpass" -eq 0; then \
604               banner="$$failed of $$all tests failed"; \
605             else \
606               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
607             fi; \
608           fi; \
609           dashes="$$banner"; \
610           skipped=""; \
611           if test "$$skip" -ne 0; then \
612             skipped="($$skip tests were not run)"; \
613             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
614               dashes="$$skipped"; \
615           fi; \
616           report=""; \
617           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
618             report="Please report to $(PACKAGE_BUGREPORT)"; \
619             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
620               dashes="$$report"; \
621           fi; \
622           dashes=`echo "$$dashes" | sed s/./=/g`; \
623           echo "$$dashes"; \
624           echo "$$banner"; \
625           test -z "$$skipped" || echo "$$skipped"; \
626           test -z "$$report" || echo "$$report"; \
627           echo "$$dashes"; \
628           test "$$failed" -eq 0; \
629         else :; fi
630
631 distdir: $(DISTFILES)
632         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
633         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
634         list='$(DISTFILES)'; \
635           dist_files=`for file in $$list; do echo $$file; done | \
636           sed -e "s|^$$srcdirstrip/||;t" \
637               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
638         case $$dist_files in \
639           */*) $(MKDIR_P) `echo "$$dist_files" | \
640                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
641                            sort -u` ;; \
642         esac; \
643         for file in $$dist_files; do \
644           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
645           if test -d $$d/$$file; then \
646             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
647             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
648               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
649             fi; \
650             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
651           else \
652             test -f $(distdir)/$$file \
653             || cp -p $$d/$$file $(distdir)/$$file \
654             || exit 1; \
655           fi; \
656         done
657 check-am: all-am
658         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
659 check: check-am
660 all-am: Makefile $(PROGRAMS)
661 installdirs:
662 install: install-am
663 install-exec: install-exec-am
664 install-data: install-data-am
665 uninstall: uninstall-am
666
667 install-am: all-am
668         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
669
670 installcheck: installcheck-am
671 install-strip:
672         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
673           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
674           `test -z '$(STRIP)' || \
675             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
676 mostlyclean-generic:
677
678 clean-generic:
679
680 distclean-generic:
681         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
682         -rm -f bandwidth/$(am__dirstamp)
683         -rm -f saturate/$(am__dirstamp)
684
685 maintainer-clean-generic:
686         @echo "This command is intended for maintainers to use"
687         @echo "it deletes files that may require special tools to rebuild."
688 clean: clean-am
689
690 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
691         mostlyclean-am
692
693 distclean: distclean-am
694         -rm -rf ./$(DEPDIR)
695         -rm -f Makefile
696 distclean-am: clean-am distclean-compile distclean-generic \
697         distclean-tags
698
699 dvi: dvi-am
700
701 dvi-am:
702
703 html: html-am
704
705 info: info-am
706
707 info-am:
708
709 install-data-am:
710
711 install-dvi: install-dvi-am
712
713 install-exec-am:
714
715 install-html: install-html-am
716
717 install-info: install-info-am
718
719 install-man:
720
721 install-pdf: install-pdf-am
722
723 install-ps: install-ps-am
724
725 installcheck-am:
726
727 maintainer-clean: maintainer-clean-am
728         -rm -rf ./$(DEPDIR)
729         -rm -f Makefile
730 maintainer-clean-am: distclean-am maintainer-clean-generic
731
732 mostlyclean: mostlyclean-am
733
734 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
735         mostlyclean-libtool
736
737 pdf: pdf-am
738
739 pdf-am:
740
741 ps: ps-am
742
743 ps-am:
744
745 uninstall-am:
746
747 .MAKE: install-am install-strip
748
749 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
750         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
751         distclean distclean-compile distclean-generic \
752         distclean-libtool distclean-tags distdir dvi dvi-am html \
753         html-am info info-am install install-am install-data \
754         install-data-am install-dvi install-dvi-am install-exec \
755         install-exec-am install-html install-html-am install-info \
756         install-info-am install-man install-pdf install-pdf-am \
757         install-ps install-ps-am install-strip installcheck \
758         installcheck-am installdirs maintainer-clean \
759         maintainer-clean-generic mostlyclean mostlyclean-compile \
760         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
761         tags uninstall uninstall-am
762
763
764 # Take care of generatated sources
765 bandwidth/_bandwidth_simulator.c bandwidth/_bandwidth_sensor.c bandwidth/_bandwidth_maestro.c : bandwidth/bandwidth.c bandwidth/bandwidth.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
766         cd bandwidth; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ bandwidth $(srcdir)/../bandwidth/bandwidth.xml
767
768 # Take care of generatated sources
769 saturate/_saturate_simulator.c saturate/_saturate_sensor.c saturate/_saturate_maestro.c : saturate/saturate.c saturate/saturate.xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
770         cd saturate; ../$(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ saturate $(srcdir)/../saturate/saturate.xml
771
772 dist-files:
773         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
774         @echo
775         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
776
777 #########
778 # Cruft #
779 #########
780 # Tell versions [3.59,3.63) of GNU make to not export all variables.
781 # Otherwise a system limit (for SysV at least) may be exceeded.
782 .NOEXPORT: